using GestionIntegral.Api.Models.Comunicaciones;

namespace GestionIntegral.Api.Data.Repositories.Comunicaciones
{
    public interface ILoteDeEnvioRepository
    {
        Task<LoteDeEnvio> CreateAsync(LoteDeEnvio lote);
        Task<bool> UpdateAsync(LoteDeEnvio lote);
        Task<IEnumerable<LoteDeEnvio>> GetAllAsync(int? anio, int? mes);
        Task<LoteDeEnvio?> GetByIdAsync(int id);
    }
}